Skip to main content
PATCH
/
agents
/
{agent_id}
/
voice-configs
/
{config_id}
Update Voice Config
curl --request PATCH \
  --url https://api.kejue.co/api/v1/agents/{agent_id}/voice-configs/{config_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "language_locale": "<string>",
  "name": "<string>",
  "prompt": "<string>",
  "first_message": "<string>",
  "first_message_uninterruptible": true,
  "first_message_delay_ms": 1,
  "voice_id": "<string>",
  "temperature": 1,
  "recording_enabled": true,
  "inactivity_messages": [
    {
      "delay_seconds": 15,
      "end_behavior": "END_BEHAVIOR_UNSPECIFIED",
      "message": "Are you still there?"
    }
  ],
  "silence_timeout": 62,
  "max_duration": 3615,
  "is_default": true,
  "is_active": true,
  "config": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "language_locale": "<string>",
  "prompt": "<string>",
  "first_speaker": "<string>",
  "recording_enabled": true,
  "silence_timeout": 123,
  "max_duration": 123,
  "is_default": true,
  "is_active": true,
  "first_message": "<string>",
  "first_message_uninterruptible": false,
  "first_message_delay_ms": 123,
  "voice_id": "<string>",
  "voice_name": "<string>",
  "model": "<string>",
  "temperature": 123,
  "inactivity_messages": [
    {}
  ],
  "corpus_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Workspace API key (e.g. kej_live_...)

Path Parameters

agent_id
string
required
config_id
string
required

Body

application/json

Partial update for a voice configuration.

language_locale
string | null
name
string | null
prompt
string | null
first_speaker
enum<string> | null

Who speaks first in the call.

Available options:
agent,
user
first_message
string | null
first_message_uninterruptible
boolean | null
first_message_delay_ms
integer | null
Required range: x >= 0
voice_id
string | null
model
enum<string> | null

Available voice AI models.

Available options:
KJUE-v0,
KJUE-v0-mini,
KJUE-v0-large,
KJUE-v1.0
temperature
number | null
Required range: 0 <= x <= 2
recording_enabled
boolean | null
inactivity_messages
InactivityMessage · object[] | null
silence_timeout
integer | null
Required range: 5 <= x <= 120
max_duration
integer | null
Required range: 30 <= x <= 7200
is_default
boolean | null
is_active
boolean | null
config
Config · object

Response

Successful Response

Voice configuration in API responses (public-safe).

id
string
required
name
string
required
language_locale
string
required
prompt
string
required
first_speaker
string
required
recording_enabled
boolean
required
silence_timeout
integer
required
max_duration
integer
required
is_default
boolean
required
is_active
boolean
required
first_message
string | null
first_message_uninterruptible
boolean
default:false
first_message_delay_ms
integer | null
voice_id
string | null
voice_name
string | null
model
string | null
temperature
number | null
inactivity_messages
Inactivity Messages · object[] | null
corpus_id
string | null
created_at
string | null
updated_at
string | null